html {
    scroll-behavior: smooth;
    overscroll-behavior: none;
}

canvas {
    display: none;
}

input {
    width: 100%;
}




#wave-main {
    margin-top: var(--header-height);
}


.gradient-editor-section {
    max-width: 100vw;
    height: 100vh;
    min-height: 700px;
    display: flex;
    flex-direction: row;
}


.gradient-editor {
    width: 100%;
    padding: 5rem 2rem 8rem 2rem;
    background-color: #230e4d;
    color: white;
    position: relative;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: start;
    gap: 2rem;
}

.gradient-editor-description {
    flex-basis: 750px;
    background-color: #F3716D;
    color: white;
    padding: 5rem 2.5rem 8rem 2.5rem;

    display: flex;
    flex-direction: column;
    gap: 2rem;
}

.gradient-editor-description > ol {
    padding-inline-start: 20px;
}


.gradient-nasconditore {
    height: 100%;
    aspect-ratio: 9/16;
    position: relative;
}


.gradient-nasconditore.hidden {
    position: absolute;
    top: -8000px;
}

.screen-and-overlay {
    height: 100%;
    width: 100%;
    position: relative;
}

.logo-overlay {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
}

.logo-overlay.hidden {
    display: none;
}


.gradient-screen {
    height: 100%;
    width: 100%;
    border-radius: 10px;
    overflow: hidden;
    background-color: grey;
    display: flex;
    flex-direction: row;
}

.gradient-rect {
    width: 100%;
    height: 100%;
    position: relative;
    overflow: hidden;
}


.gradient-video-loading {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    align-items: center;
    justify-content: center;
    text-align: center;
    height: 100%;
    aspect-ratio: 9/16;
    border: 1px solid white;
    border-radius: 12px;
}

.gradient-video-loading.hidden {
    display: none;
}

.loading-image {
    width: 50px;
}

.gradient-controls {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    min-width: 200px;
    max-width: 250px;
}

.gradient-sliders {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

.preset-section {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.preset-buttons-container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 0.5rem;
}

.locked {
    opacity: 0.3;
    pointer-events: none;
}


.share-overlay {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 5;
    width: 100%;
    height: 100%;
    background-color: #000000a0;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 1rem;
}

.share-overlay.hidden {
    display: none;
}

.share-box {
    background-color: white;
    max-width: 500px;
    padding: 4rem;
    border-radius: 2rem;
    text-align: center;
    align-items: center;
    display: flex;
    gap: 2rem;
    flex-direction: column;
    position: relative;
}


#overlayClose {
    width: 40px;
    position: absolute;
    right: 20px;
    top: 20px;
    cursor: pointer;
}




.mobile-show {
    display: none;
}

.mobile-hide {
    display: block;
}


/* ==== NASCONDE INPUT DEFAULT ==== */

input[type=range] {
    -webkit-appearance: none;
    width: 100%;
    background: transparent;
}

input[type=range]::-webkit-slider-thumb {
    -webkit-appearance: none;
}

input[type=range]:focus {
    outline: none;
}

input[type=range]::-ms-track {
    width: 100%;
    cursor: pointer;
    background: transparent;
    border-color: transparent;
    color: transparent;
}




/* ==== NUOVA THUMB ==== */

input[type=range]::-webkit-slider-thumb {
    -webkit-appearance: none;
    border: 3px solid #000000;
    height: 25px;
    width: 25px;
    border-radius: 30px;
    background: #ffffff;
    cursor: pointer;
    margin-top: -12px;
}

input[type=range]::-moz-range-thumb {
    border: 3px solid #000000;
    height: 25px;
    width: 25px;
    border-radius: 30px;
    background: #ffffff;
    cursor: pointer;
}




/* ==== NUOVA TRACK ==== */


input[type=range]::-webkit-slider-runnable-track {
    width: 100%;
    height: 3px;
    cursor: pointer;
    background: white;
    border-radius: 1.3px;
    border: 0.2px solid #010101;
}

input[type=range]::-moz-range-track {
    width: 100%;
    height: 3px;
    cursor: pointer;
    box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
    background: white;
    border-radius: 1.3px;
    border: 0.2px solid #010101;
}









@media screen and (min-width: 1800px) {
    .gradient-editor-description {
        flex-basis: 1000px;
        padding: 5rem;
    }
}


@media screen and (max-width: 1200px) {
    .gradient-nasconditore {
        height: auto;
        width: 100%;
    }
}

@media screen and (max-width: 1000px) {

    .gradient-editor-section {
        flex-direction: column;
        height: auto;
    }
    .gradient-editor {
        padding: 7rem;
    }
    .gradient-editor-description {
        padding: 7rem ;
        flex-basis: auto;
    }

    .gradient-nasconditore.hidden {
        position: fixed;
        top: 0;
        left: -8000px;
        width: 1px;
        height: 1px;
    }
}


@media screen and (max-width: 700px) {
    .gradient-editor {
        flex-direction: column;
    }
    .gradient-controls {
        width: 100%;
        max-width: none;
    }
    .gradient-editor {
        padding: 3.5rem;
    }
    .gradient-editor-description {
        padding: 3.5rem 3.5rem 6rem 3.5rem;
    }
    .mobile-show {
        display: block;
    }
    .mobile-hide {
        display: none;
    }
    .gradient-video-loading {
        width: 100%;
        height: auto;
    }
}



